osl::checkmate::Dfpn::ProofOracle Struct Reference

`#include <dfpn.h>`

## Public Member Functions

| ProofOracle (const HashKey &k, PieceStand w)
const ProofOracle | newOracle (Player P, Move move) const
bool | traceable (Player P, Move move) const

## Public Attributes

HashKey | key
PieceStand | white_stand

## Detailed Description

Definition at line 212 of file dfpn.h.

## Constructor & Destructor Documentation

## ProofOracle()

osl::checkmate::Dfpn::ProofOracle::ProofOracle | ( | const HashKey & | k,
|  | PieceStand | w )

inline

Definition at line 216 of file dfpn.h.

References key, and white_stand.

Referenced by newOracle().

## Member Function Documentation

## newOracle()

const ProofOracle osl::checkmate::Dfpn::ProofOracle::newOracle | ( | Player | P,
|  | Move | move ) const

inline

Definition at line 219 of file dfpn.h.

References key, osl::Move::player(), ProofOracle(), osl::WHITE, and white_stand.

Referenced by osl::checkmate::Dfpn::proofOracleAttack(), and osl::checkmate::Dfpn::proofOracleDefense().

## traceable()

bool osl::checkmate::Dfpn::ProofOracle::traceable | ( | Player | P,
|  | Move | move ) const

inline

Definition at line 225 of file dfpn.h.

References osl::BLACK, osl::Move::isDrop(), key, osl::Move::player(), osl::Move::ptype(), and white_stand.

Referenced by osl::checkmate::Dfpn::blockingSimulation(), osl::checkmate::Dfpn::proofOracleAttack(), and osl::checkmate::Dfpn::proofOracleDefense().

## Member Data Documentation

## key

HashKey osl::checkmate::Dfpn::ProofOracle::key

Definition at line 214 of file dfpn.h.

Referenced by newOracle(), ProofOracle(), osl::checkmate::Dfpn::proofOracleAttack(), and traceable().

## white_stand

PieceStand osl::checkmate::Dfpn::ProofOracle::white_stand

Definition at line 215 of file dfpn.h.

Referenced by newOracle(), ProofOracle(), osl::checkmate::Dfpn::proofOracleAttack(), and traceable().

The documentation for this struct was generated from the following file:

- dfpn.h